/*
 *  Copyright (C) 2007 Holger Hans Peter Freyther
 * Portions Copyright (c) 2010 Motorola Mobility, Inc.  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "config.h"

#if ENABLE(CONTEXT_MENUS)

#include "ContextMenu.h"
#include "ContextMenuController.h"
#include "Element.h"

namespace WebCore {

ContextMenu::ContextMenu()
{
}


ContextMenu::~ContextMenu()
{
}

void ContextMenu::appendItem(ContextMenuItem& item)
{
}

void ContextMenu::setPlatformDescription(PlatformMenuDescription menu)
{
}

PlatformMenuDescription ContextMenu::platformDescription() const
{
    return m_platformDescription;
}

PlatformMenuDescription ContextMenu::releasePlatformDescription()
{
    PlatformMenuDescription description = m_platformDescription;
    m_platformDescription = 0;

    return description;
}

unsigned ContextMenu::itemCount() const
{
	return 0;
}

Vector<ContextMenuItem> contextMenuItemVector(const PlatformMenuDescription menu)
{
    Vector<ContextMenuItem> menuItemVector;

    return menuItemVector;
}

PlatformMenuDescription platformMenuDescription(Vector<ContextMenuItem>& subMenuItems)
{
    return 0;
}

}

#endif // ENABLE(CONTEXT_MENUS)
